package com.ux.video.file.filerecovery.result

import androidx.lifecycle.MutableLiveData
import com.ux.video.file.filerecovery.db.ResultData
import com.ux.video.file.filerecovery.db.ResultDataFiles

object ScanResultRepository   {


    //扫描数据
    val scanData = MutableLiveData<List<ResultData>>()


    //扫描用于排序显示的数据
    val sortingData = MutableLiveData<List<ResultDataFiles>>()

    fun setScanResult(data: List<ResultData>) {
        scanData.postValue(data)
    }

    fun setSortResult(data: List<ResultDataFiles>) {
        sortingData.postValue(data)
    }
}